libzypp: zypp_private::repo::PluginRepoverification::Impl Class Reference

libzypp 17.38.6

zypp_private::repo::PluginRepoverification::Impl Class Reference

PluginRepoverification implementation. More...

## Public Member Functions
| Impl ()
| Impl (const Impl &)=delete
| Impl (Impl &&)=delete
Impl & | operator= (const Impl &)=delete
Impl & | operator= (Impl &&)=delete
| Impl (Pathname &&plugindir_r, Pathname &&chroot_r)
| ~Impl ()
bool | isNeeded () const
bool | checkIfNeeded ()
void | verifyWorkflow (const Pathname &file_r, RW_pointer< PluginRepoverification::Checker::Impl > datap_r) const

## Private Member Functions
void | pluginVerify (std::string plugin_r, const Pathname &file_r, const PluginRepoverification::Checker::Impl &data_r) const
const Pathname & | plugindir () const

## Private Attributes
WatchFile | _watchPlugindir
Pathname | _chroot
bool | _isNeeded = false

## Friends
std::ostream & | operator<< (std::ostream &str, const Impl &obj)
| relates: PluginRepoverification::Impl Stream output
std::ostream & | dumpOn (std::ostream &str, const Impl &obj)
| relates: PluginRepoverification::Impl Verbose stream output

## Detailed Description

PluginRepoverification implementation.

Definition at line 128 of file PluginRepoverification.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/4]

zypp_private::repo::PluginRepoverification::Impl::Impl | ( |  | ) |
| inline

Definition at line 134 of file PluginRepoverification.cc.

## ◆ Impl() [2/4]

zypp_private::repo::PluginRepoverification::Impl::Impl | ( | const Impl & |  | ) |
| delete

## ◆ Impl() [3/4]

zypp_private::repo::PluginRepoverification::Impl::Impl | ( | Impl && |  | ) |
| delete

## ◆ Impl() [4/4]

zypp_private::repo::PluginRepoverification::Impl::Impl | ( | Pathname && | plugindir_r,
|  | Pathname && | chroot_r )
| inline

Definition at line 142 of file PluginRepoverification.cc.

## ◆ ~Impl()

zypp_private::repo::PluginRepoverification::Impl::~Impl | ( |  | ) |
| inline

Definition at line 146 of file PluginRepoverification.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

Impl & zypp_private::repo::PluginRepoverification::Impl::operator= | ( | const Impl & |  | ) |
| delete

## ◆ operator=() [2/2]

Impl & zypp_private::repo::PluginRepoverification::Impl::operator= | ( | Impl && |  | ) |
| delete

## ◆ isNeeded()

bool zypp_private::repo::PluginRepoverification::Impl::isNeeded | ( |  | ) | const
| inline

Definition at line 149 of file PluginRepoverification.cc.

## ◆ checkIfNeeded()

bool zypp_private::repo::PluginRepoverification::Impl::checkIfNeeded | ( |  | ) |
| inline

Definition at line 152 of file PluginRepoverification.cc.

## ◆ verifyWorkflow()

void zypp_private::repo::PluginRepoverification::Impl::verifyWorkflow | ( | const Pathname & | file_r,
|  | RW_pointer< PluginRepoverification::Checker::Impl > | datap_r ) const
| inline

Definition at line 170 of file PluginRepoverification.cc.

## ◆ pluginVerify()

void zypp_private::repo::PluginRepoverification::Impl::pluginVerify | ( | std::string | plugin_r,
|  | const Pathname & | file_r,
|  | const PluginRepoverification::Checker::Impl & | data_r ) const
| inlineprivate

NOTE: Update plugin-repoverification page if new args are supplied

Definition at line 183 of file PluginRepoverification.cc.

## ◆ plugindir()

const Pathname & zypp_private::repo::PluginRepoverification::Impl::plugindir | ( |  | ) | const
| inlineprivate

Definition at line 242 of file PluginRepoverification.cc.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | str,
|  | const Impl & | obj )
| friend

relates: PluginRepoverification::Impl Stream output

Definition at line 252 of file PluginRepoverification.cc.

## ◆ dumpOn

std::ostream & dumpOn | ( | std::ostream & | str,
|  | const Impl & | obj )
| friend

relates: PluginRepoverification::Impl Verbose stream output

Definition at line 256 of file PluginRepoverification.cc.

## Member Data Documentation

## ◆ _watchPlugindir

WatchFile zypp_private::repo::PluginRepoverification::Impl::_watchPlugindir
| private

Definition at line 246 of file PluginRepoverification.cc.

## ◆ _chroot

Pathname zypp_private::repo::PluginRepoverification::Impl::_chroot
| private

Definition at line 247 of file PluginRepoverification.cc.

## ◆ _isNeeded

bool zypp_private::repo::PluginRepoverification::Impl::_isNeeded = false
| private

Definition at line 248 of file PluginRepoverification.cc.

The documentation for this class was generated from the following file:

- zypp/repo/PluginRepoverification.cc